Delete an Invoice
DELETE/v1/invoices/:idClick to copy
Use this endpoint to delete invoices. You can only delete an invoice that is in the draft state.
Is this page helpful?
Path Parameters
id *
stringThe unique identifier of the invoice.
Errors
Operation not allowed for Invoice in {issued|paid|partially_paid|cancelled|expired} status.
Error Status: 400
Deletion is only allowed on invoices in the draft state.
Solution
The api {key/secret} provided is invalid.
Error Status: 4xx
The API credentials passed in the API call differ from the ones generated on the Dashboard.
Solution
The id provided does not exist.
Error Status: 400
The invoice id passed in the URL does not exist or does not belong to the requesting merchant.
Solution
Delete an Invoice
DELETE/v1/invoices/:idClick to copy
Use this endpoint to delete invoices. You can only delete an invoice that is in the draft state.
Is this page helpful?
Path Parameters
id *
stringThe unique identifier of the invoice.
Errors
Operation not allowed for Invoice in {issued|paid|partially_paid|cancelled|expired} status.
Error Status: 400
Deletion is only allowed on invoices in the draft state.
Solution
The api {key/secret} provided is invalid.
Error Status: 4xx
The API credentials passed in the API call differ from the ones generated on the Dashboard.
Solution
The id provided does not exist.
Error Status: 400
The invoice id passed in the URL does not exist or does not belong to the requesting merchant.
Solution